| Qore SalesforceRestDataProvider Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Protected Member Functions | Protected Attributes | List of all members
SalesforceRestDataProvider::SalesforceRestDataProviderBase Class Reference

The SalesforceRest data provider class. More...

`#include <SalesforceRestDataProviderBase.qc.dox.h>`

Inheritance diagram for SalesforceRestDataProvider::SalesforceRestDataProviderBase:
[legend]

## Public Member Functions
| constructor ()
| Creates the object.
| constructor (SalesforceRestClient::SalesforceRestClient rest)
| Creates the object.
| constructor (SalesforceRestClient::SalesforceRestConnection conn)
| Creates the object.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Public Attributes
const | ConstructorOptions = ...
| Constructor options.
const | EnvOptions = ...
| Environment options.
const | HttpMethods = ...
| Hash of HTTP Methods.

## Static Protected Member Functions
static *hash< auto > | getClientOptions (*hash< auto > copts)
| Returns options for the SalesforceRestClient.

## Protected Attributes
*SalesforceRestClient::SalesforceRestConnection | conn
| The connection object used to create the REST client.
SalesforceRestClient::SalesforceRestClient | rest
| The REST client object for API calls.

## Detailed Description

The SalesforceRest data provider class.